<div *ngIf="data.length" class="swiper swiper--products">
  <swiper #swiper
          [config]="config"
          [pagination]="{ el: '.' + id, clickable: true }"
  >
    <ng-template *ngFor="let item of data" swiperSlide>
      <!--      {{item | json}}-->
      <app-product [data]="item"></app-product>
    </ng-template>
  </swiper>
  <div class="swiper-footer">
    <div style="position: relative; min-width: 135px;">
      <div id="" [class]="'swiper-pagination ' + id"  slot="container-end"></div>
      <button
        *ngIf="(swiper && swiper.swiperRef) && (!swiper.swiperRef.isBeginning || !this.swiper.swiperRef.isEnd)"
        class="swiper-btn swiper-btn-prev"
        (click)="slidePrev()"
        [disabled]="(swiper && swiper.swiperRef) && swiper.swiperRef.activeIndex === 0"></button>
      <button
        *ngIf="(swiper && swiper.swiperRef) && (!swiper.swiperRef.isBeginning || !this.swiper.swiperRef.isEnd)"
        class="swiper-btn swiper-btn-next"
        (click)="slideNext()"
        [disabled]="(swiper && swiper.swiperRef) && swiper.swiperRef.activeIndex >= this.swiper.swiperRef.slides.length - 1"
      ></button>
    </div>
  </div>
</div>
